Page MenuHomePhabricator

Make it possible for users without the editinterface right to edit the AbuseFilter messages
Open, LowPublic

Description

Currently, the AbuseFilter warnings are all in the MediaWiki: namespace. As a result, they can only be edited by users with the "editinterface" right. However, on some wikis (such as English Wikipedia), the "abusefilter-modify" right is given to non-admins (in the case of English Wikipedia, it's not even part of the admin package). These messages should be considered an extension of the filters, and not part of the interface. Probably, the easiest implementation would be to create a new namespace for these.


Version: unspecified
Severity: enhancement

Details

Reference
bz41838

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:46 AM
bzimport added a project: AbuseFilter.
bzimport set Reference to bz41838.
bzimport added a subscriber: Unknown Object (MLST).
DannyS712 added a subscriber: DannyS712.EditedSep 14 2019, 5:29 AM

A new namespace would probably not be the best idea. Maybe a hook when checking namespace protection?

DannyS712 claimed this task.EditedDec 1 2019, 8:28 AM

Proposal:
In core, PermissionManager::checkSpecialsAndNSPermissions adds a hook to allow bypassing namespace protection.
In AbuseFilter, on the hook call, say to skip the check if:

  • The user has abusefilter-modify rights
  • The namespace is NS_MEDIAWIKI
  • The title matches abusefilter-(?:disallowed|warning).*

Tagging Platform Engineering as a feature request for review

Restricted Application added a project: User-DannyS712. · View Herald TranscriptDec 1 2019, 8:28 AM

@Anomie I saw that you moved this to the "Triage Meeting Inbox" over a month ago - is core platform team okay with this / is adding this hook to core acceptable?

Since it's still in the inbox, it probably still needs review. @WDoranWMF, any further status?

@nnikkhoui I saw you moved it to Volunteer Needed Tasks - does that mean that the core platform team is okay with this / that adding a hook is approved?

@nnikkhoui I saw you moved it to Volunteer Needed Tasks - does that mean that the core platform team is okay with this / that adding a hook is approved?

{{ping}} @WDoranWMF @Anomie @nnikkhoui